%global momorel 1
%global artsver 1.5.6
%global artsrel 2m
%global qtver 3.3.7
%global kdever 3.5.6
%global kdelibsrel 6m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 83a8c1cade06837431b6ebe79d13ef7b

Summary: A BibTeX editor for KDE
Name: kbibtex
Version: 0.1.5
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.unix-ag.uni-kl.de/~fischer/kbibtex/
Group: Applications/Editors
%NoSource 0 http://www.unix-ag.uni-kl.de/~fischer/%{name}/download/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Patch0: %{name}-%{version}-desktop.patch
Patch10: %{name}-%{version}-filteredselection.patch
Patch11: %{name}-%{version}-gcc4.2.patch
Patch12: %{name}-%{version}-viewdocument.patch
Patch13: %{name}-%{version}-storesearchurls.patch
Patch14: %{name}-%{version}-webquerypubmedmultiplequeries.patch
Patch15: %{name}-%{version}-xslthtmlexport.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: libxslt-devel
BuildPreReq: libutempter-devel
BuildPreReq: libxml2
BuildPreReq: desktop-file-utils

%description
KBibTeX is a BibTeX editor for KDE

%prep
%setup -q

%patch0 -p1 -b .desktop~

# upstream patches
%patch10 -p0 -b .filteredselection
%patch11 -p0 -b .gcc42
%patch12 -p0 -b .viewdocument
%patch13 -p1 -b .storesearchurls
%patch14 -p1 -b .webquerypubmedmultiplequeries
%patch15 -p1 -b .xslthtmlexport

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/crystalsvg/48x48/apps/kbibtex.png %{buildroot}%{_datadir}/pixmaps/kbibtex.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  %{buildroot}%{_datadir}/applnk/Office/kbibtex.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/kbibtex
%{_libdir}/kde3/libkbibtexpart.la
%{_libdir}/kde3/libkbibtexpart.so
%{_datadir}/applications/kde/kbibtex.desktop
%{_datadir}/apps/kbibtex
%{_datadir}/apps/kbibtexpart
%{_datadir}/doc/HTML/*/kbibtex
%{_datadir}/icons/*/*/*/kbibtex.png
%{_mandir}/man1/kbibtex.1*
%{_datadir}/pixmaps/kbibtex.png
%{_datadir}/services/kbibtex_part.desktop

%changelog
* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.5-1m)
- initial package for Momonga Linux
